For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • POSTOutbound call via WhatsApp
          • POSTOutbound message via WhatsApp
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceWhatsApp

Outbound message via WhatsApp

POST
/v1/convai/whatsapp/outbound-message
POST
/v1/convai/whatsapp/outbound-message
$curl -X POST https://api.elevenlabs.io/v1/convai/whatsapp/outbound-message \
> -H "Content-Type: application/json" \
> -d '{
> "whatsapp_phone_number_id": "string",
> "whatsapp_user_id": "string",
> "template_name": "string",
> "template_language_code": "string",
> "template_params": [
> {
> "parameters": [
> {
> "text": "string"
> }
> ]
> }
> ],
> "agent_id": "string"
>}'
1{
2 "conversation_id": "string"
3}
Send an outbound message via WhatsApp
Was this page helpful?
Previous

Submit batch calling job

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
whatsapp_phone_number_idstringRequired
whatsapp_user_idstringRequired
template_namestringRequired
template_language_codestringRequired
template_paramslist of objectsRequired
agent_idstringRequired
conversation_initiation_client_dataobject or nullOptional

Response

Successful Response
conversation_idstring

Errors

422
Unprocessable Entity Error